Package org.apache.groovy.json.internal

# Class FastStringUtils

java.lang.Object
org.apache.groovy.json.internal.FastStringUtils

public class FastStringUtils extends Object
Internal class for fast processing of Strings during JSON parsing

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FastStringUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `noCopyStringFromChars(char[] chars)`
  `static char[]`
  `toCharArray(CharSequence charSequence)`
  `static char[]`
  `toCharArray(String string)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FastStringUtils

    public FastStringUtils()

- ## Method Details

  - ### toCharArray

    public static char[] toCharArray(String string)
    Parameters:
      `string` - string to grab array from.
    Returns:
      char array from string

  - ### toCharArray

    public static char[] toCharArray(CharSequence charSequence)
    Parameters:
      `charSequence` - to grab array from.
    Returns:
      char array from char sequence

  - ### noCopyStringFromChars

    public static String noCopyStringFromChars(char[] chars)
    Parameters:
      `chars` - to shove array into.
    Returns:
      new string with chars copied into it